package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.FullBytesMessage;
import com.eactive.eai.transformer.message.Message;

public class FullBytesMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize, boolean useDefault) throws Exception {
        FullBytesMessage message = (FullBytesMessage) layout.getRootItem();
        message = (FullBytesMessage) message.clone();
        message.createObject();
        return message;
    }
}
